> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kubernetes Cluster Kubeconfig

> Retrieves the kubeconfig file for a Kubernetes cluster. The kubeconfig is only available once the cluster is fully provisioned.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /kubernetes_clusters/{kubernetes_cluster_id}/kubeconfig
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /kubernetes_clusters/{kubernetes_cluster_id}/kubeconfig:
    get:
      tags:
        - Kubernetes Clusters
      summary: Get Kubernetes Cluster Kubeconfig
      description: >
        Retrieves the kubeconfig file for a Kubernetes cluster. The kubeconfig
        is only available once the cluster is fully provisioned.
      operationId: get-kubernetes-cluster-kubeconfig
      parameters:
        - name: kubernetes_cluster_id
          in: path
          required: true
          description: >-
            The cluster ID (format: kc_<hash>) or cluster name. Both formats are
            accepted for backward compatibility.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      type: kubernetes_cluster_kubeconfigs
                      id: kc_pRMLydp0dQKr1
                      attributes:
                        cluster_name: my-cluster
                        kubeconfig: |
                          apiVersion: v1
                          clusters:
                          - cluster:
                              certificate-authority-data: LS0tLS1...
                              server: https://api.my-cluster.example.com:6443
                            name: my-cluster
                          contexts:
                          - context:
                              cluster: my-cluster
                              user: my-cluster-admin
                            name: my-cluster
                          current-context: my-cluster
                          kind: Config
                          users:
                          - name: my-cluster-admin
                            user:
                              client-certificate-data: LS0tLS1...
                              client-key-data: LS0tLS1...
              schema:
                $ref: '#/components/schemas/kubernetes_cluster_kubeconfig'
        '401':
          description: Unauthorized
          content:
            application/vnd.api+json:
              examples:
                InvalidToken:
                  value:
                    errors:
                      - code: UNAUTHORIZED
                        message: Invalid token
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
          content:
            application/vnd.api+json:
              examples:
                KubeconfigNotFound:
                  value:
                    errors:
                      - code: NOT_FOUND
                        message: Kubeconfig not found for cluster my-cluster
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.kubernetes_clusters.get_kubernetes_cluster_kubeconfig(kubernetes_cluster_id="<id>")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.KubernetesClusters.GetKubernetesClusterKubeconfig(ctx, \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.KubernetesClusterKubeconfig != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.kubernetesClusters.getKubernetesClusterKubeconfig({
                kubernetesClusterId: "<id>",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    kubernetes_cluster_kubeconfig:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: The cluster name
            type:
              type: string
            attributes:
              type: object
              properties:
                cluster_name:
                  type: string
                  description: The cluster name
                kubeconfig:
                  type: string
                  description: The kubeconfig YAML content for connecting to the cluster
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````